Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.rms
Interface IRecordStoreEntry

All Superinterfaces:
  IRmsEntry

All Known Implementing Classes:
  RecordStoreEntry

    public interface IRecordStoreEntry

extends IRmsEntry

Method Summary
`void` | `absorbTempEntry(IRecordStoreEntry tempEntry)`
`int` | `addRecord(byte[] data, int offset, int numBytes)`
`void` | `deleteRecord(int recordId)`
`void` | `deleteRecords()`
`int` | `getId()`
`String` | `getName()`
`int` | `getNextRecordId()`
`int` | `getNumRecords()`
`byte[]` | `getRecord(int recordId)`
`int` | `getRecord(int recordId, byte[] buffer, int offset)`
`int[]` | `getRecordIdsCopy()`
`int` | `getRecordSize(int recordId)`
`int` | `getRecordsSize()`
`long` | `getTimestamp()`
`int` | `getVersion()`
`void` | `reVisitRecordEntry(IRecordEntry record)`
`void` | `setId(int id)`
`void` | `setName(String name)`
`void` | `setRecord(int recordId, byte[] data, int offset, int numBytes)`
`void` | `visitRecordEntry(IRecordEntry record)`

Methods inherited from interface com.sun.squawk.rms.IRmsEntry
`getAddress, getType, readFrom, setAddress, size, visit, writeTo`

Method Detail

### absorbTempEntry

    void absorbTempEntry(IRecordStoreEntry tempEntry)

### addRecord

    int addRecord(byte[] data,
                  int offset,
                  int numBytes)
                  throws RecordStoreException,
                         RecordStoreFullException

  Throws:
    `RecordStoreException`
    `RecordStoreFullException`

### setRecord

    void setRecord(int recordId,
                   byte[] data,
                   int offset,
                   int numBytes)
                   throws InvalidRecordIDException,
                          RecordStoreException,
                          RecordStoreFullException

  Throws:
    `InvalidRecordIDException`
    `RecordStoreException`
    `RecordStoreFullException`

### deleteRecord

    void deleteRecord(int recordId)
                      throws InvalidRecordIDException,
                             RecordStoreException

  Throws:
    `InvalidRecordIDException`
    `RecordStoreException`

### deleteRecords

    void deleteRecords()
                       throws RecordStoreException

  Throws:
    `RecordStoreException`

### getName

    String getName()

### getNextRecordId

    int getNextRecordId()

### getNumRecords

    int getNumRecords()

### getId

    int getId()

### getRecord

    byte[] getRecord(int recordId)
                     throws InvalidRecordIDException,
                            RecordStoreException

  Throws:
    `InvalidRecordIDException`
    `RecordStoreException`

### getRecord

    int getRecord(int recordId,
                  byte[] buffer,
                  int offset)
                  throws InvalidRecordIDException,
                         RecordStoreException

  Throws:
    `InvalidRecordIDException`
    `RecordStoreException`

### getRecordIdsCopy

    int[] getRecordIdsCopy()

### getRecordSize

    int getRecordSize(int recordId)
                      throws InvalidRecordIDException,
                             RecordStoreException

  Throws:
    `InvalidRecordIDException`
    `RecordStoreException`

### getRecordsSize

    int getRecordsSize()
                       throws RecordStoreException

  Throws:
    `RecordStoreException`

### getTimestamp

    long getTimestamp()

### getVersion

    int getVersion()

### reVisitRecordEntry

    void reVisitRecordEntry(IRecordEntry record)
                            throws RecordStoreException

  Throws:
    `RecordStoreException`

### setId

    void setId(int id)

### setName

    void setName(String name)

### visitRecordEntry

    void visitRecordEntry(IRecordEntry record)
                          throws RecordStoreException

  Throws:
    `RecordStoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"